| Kea 3.0.2-git

unix_control_socket.cc File Reference

Contains the UNIX socket derived class for control socket communication. More...

`#include <config.h>`
`#include <asiolink/asio_wrapper.h>`
`#include <asiolink/io_service.h>`
`#include <cc/command_interpreter.h>`
`#include <cc/json_feed.h>`
`#include <config/client_connection.h>`
`#include <config/timeouts.h>`
`#include <netconf/unix_control_socket.h>`
Include dependency graph for unix_control_socket.cc:

Go to the source code of this file.

## Namespaces
namespace | isc
| Defines the logger used by the top-level component of kea-lfc.
namespace | isc::netconf

## Functions
template<>
ControlSocketBasePtr | isc::netconf::createControlSocket< CfgControlSocket::Type::UNIX > (CfgControlSocketPtr ctrl_sock)
| Factory template specialization for unix control sockets.

## Detailed Description

Contains the UNIX socket derived class for control socket communication.

Definition in file unix_control_socket.cc.